> For the complete documentation index, see [llms.txt](https://docs.exads.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.exads.com/api/conversion-tracking-api.md).

# Conversion Tracking API

## Conversion Tracking API Overview

The Conversion Tracking API tracks the conversion of [goals](/advertisers/campaigns/conversion-tracking.md) such as reaching a landing page, subscription, or sign-up.

## Request <a href="#request" id="request"></a>

The request is an HTTP GET request as follows:

```
http://syndication.example.com/tag.php?goal=1b9b3786eae526755467c2593d194005&tag={conversions_tracking}&skey=1234567&cpa=0.1
```

| Parameter  | Description                                                                                                            |
| ---------- | ---------------------------------------------------------------------------------------------------------------------- |
| Goal       | The Goal ID as created in the Admin Panel, e.g. 1b9b3786eae526755467c2593d194005                                       |
| Tag        | A data object generated by EXADS and usually replaced in the click URL through the {conversions\_tracking} token       |
| CPA/skey\* | A numeric value defining the CPA bid at runtime + skey (an account-specific secret key provided by the EXADS platform) |

\*only if CPA is enabled

## Response <a href="#response" id="response"></a>

The response is either "OK" or one of the errors below:

<table data-header-hidden="false" data-header-sticky data-search="false"><thead><tr><th>Response</th><th>Meaning</th></tr></thead><tbody><tr><td>OK</td><td>The request is OK</td></tr><tr><td>ERROR: This conversion has already been notified and saved.</td><td>A conversion goal for this conversions_tracking ID (tag) has already been registered within the last 24 hours</td></tr><tr><td>ERROR: Tag is invalid!</td><td>The format of the ID (tag) is not correct</td></tr><tr><td>ERROR: No tag data.</td><td>The tag or conversions_tracking ID is missing</td></tr><tr><td>ERROR: Goal ID is invalid.</td><td>The format of the Goal ID is not correct. Goal IDs are 32 characters of hexadecimal (0-9, a-f)</td></tr><tr><td>ERROR: No Goal ID.</td><td>The tag or Goal ID is missing</td></tr><tr><td>ERROR : Goal value is invalid.</td><td>The format of Goal value should be a monetary number</td></tr></tbody></table>

If the network has CPA enabled, there may also be these additional responses:

| Response                      | Meaning                                                                                                                                      |
| ----------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------- |
| ERROR: Price is invalid.      | The Value of the CPA price parameter is invalid. This should be a value between 0 and 100 (inclusive)                                        |
| ERROR: Secret key is invalid. | The secret key provided is incorrect. Your secret key can be found under **Campaigns** > **Conversion Tracking** at the bottom of the screen |

## Error Examples <a href="#error-examples" id="error-examples"></a>

### ERROR: Tag is invalid! <a href="#error-tag-is-invalid" id="error-tag-is-invalid"></a>

```
http://syndication.examplesite.com/tag.php?goal=1b9b3786eae526755467c2593d194005&tag=123456789
```

### ERROR: No tag data. <a href="#error-no-tag-data" id="error-no-tag-data"></a>

```
http://syndication.examplesite.com/tag.php?goal=1a76578475674857&tag=
```

### ERROR: Goal ID is invalid. <a href="#error-goal-id-is-invalid" id="error-goal-id-is-invalid"></a>

```
http://syndication.examplesite.com/tag.php?goal=4564&tag={conversions_tracking}
```

### ERROR: No Goal ID. <a href="#error-no-goal-id" id="error-no-goal-id"></a>

```
http://syndication.examplesite.com/tag.php?goal=&tag={conversions_tracking}
```

### ERROR: Goal value is invalid. <a href="#error-goal-value-is-invalid" id="error-goal-value-is-invalid"></a>

```
http://syndication.examplesite.com/tag.php?goal=c10a67e8bce7a35bcd9bb5a519f4b2b7&value=10
```

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.exads.com/api/conversion-tracking-api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
